INTERFACE
SUBROUTINE SUHOW1(KDGSA,KDGEN,KFRSTLOFF,P4JP,PI,KLOEN,PLATIN,&
 & KBINL,PLAT,PLON,KLEN,&
 & KLA,KLON,KLONN,KLOS,KLOSS,&
 & PDLAT,PDLO,PDLO1,PDLO2,PDLO3) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSA
INTEGER(KIND=JPIM),INTENT(IN) :: KDGEN
INTEGER(KIND=JPIM),INTENT(IN) :: KFRSTLOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PI
INTEGER(KIND=JPIM),INTENT(IN) :: KLOEN(KDGSA+KFRSTLOFF:KDGEN+KFRSTLOFF)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATIN(KDGSA+KFRSTLOFF:KDGEN+KFRSTLOFF)
INTEGER(KIND=JPIM),INTENT(IN) :: KBINL
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON(KLEN)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLA(KLEN)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLON(KLEN)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLONN(KLEN)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLOS(KLEN)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLOSS(KLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLAT(KLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO(KLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO1(KLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO2(KLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO3(KLEN)
END SUBROUTINE SUHOW1
END INTERFACE
